#!/bin/bash
url="http://localhost:10030/jpetstore/actions/Catalog.action?statusCheck=check"
echo "Checking application connection to database on url: http://localhost:10030/jpetstore/actions/Catalog.action?statusCheck=check"
while [ true ]
do
    code=`curl -sL -w "%{http_code}\\n" "$url" -o /dev/null`
    echo "Found code $code"
    if [ "x$code" = "x200" ]
    then
         echo "Application is running and connected to database";
         break;
    else
         echo "Application is not connected to database properly";
         exit 1;
    fi
    sleep 1
done
